negotiate_sspi_auth.exe(8)

NAME
negotiate_sspi_auth.exe - Windows SSPI Negotiate authentication helper.

SYNOPSIS
negotiate_sspi_auth.exe [-dhv]

DESCRIPTION
negotiate_sspi_auth.exe is an installed binary. Uses the Windows SSPI interface to perform Negotiate authentication.

OPTIONS

-d  Write debug info to stderr.

-h  Display the binary help and command line syntax info using stderr.

-v  Display verbose Negotiate packet debugging.

CONFIGURATION

Users that are allowed to access the web proxy must have the Windows NT User Rights "logon from the network".

squid.conf typical minimal required changes:
    auth_param negotiate program c:/squid/libexec/mswin_negotiate_auth.exe
    auth_param negotiate children 5
    acl password proxy_auth REQUIRED
    http_access deny !password
    http_access allow password

Refer to Squid documentation for more details.

Currently Internet Explorer has some problems with ftp:// URLs when handling internal Squid FTP icons. The following squid.conf ACL defined before authentication ACLs works around this:
    acl internal_icons urlpath_regex -i /squid-internal-static/icons/
    http_access allow our_networks internal_icons

AUTHOR
This program was written by Guido Serassio <guido.serassio@acmeconsulting.it> Acme Consulting S.r.l., Italy <http://www.acmeconsulting.it>

Based on prior work of Francesco Chemolli <kinkie@squid-cache.org>, Robert Collins <lifeless@squid-cache.org>

COPYRIGHT

 * Copyright (C) 1996-2018 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

This program and documentation is copyright to the authors named above.

Distributed under the GNU General Public License (GNU GPL) version 2 or later (GPLv2+).

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@lists.squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@lists.squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@lists.squid-cache.org>

SEE ALSO
squid(8), GPL(7),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
The Squid Configuration Manual http://www.squid-cache.org/Doc/config/